.weight-history {

    > h1 {
        font-weight: 600;
        margin-bottom: 0.1rem;
    }
    
    .weight-history__actions {
        display: flex;
        align-items: center;
        margin-bottom: 10px;

        > .range-history {
            display: flex;
            align-items: center;
            justify-content: center;
            opacity: 0.7;
            transition: .13s opacity ease-in-out;

            > .mat-icon {
                margin-right: 0.5rem;
            }

            &:hover {
                opacity: 1;
            }
        }

        > .range-weight-selector {
            .selector-weight-toggle {
                border: none;

                > .mat-button-toggle {
                    background: transparent;

                    &.mat-button-toggle-checked {
                        font-weight: 600;
                    }
                    
                    .mat-button-toggle-label-content {
                        line-height: 28px;
                    }
                }
            }
        }
    }
}